package com.ghy.worker.service.impl;

import com.ghy.worker.domain.SpecialSkill;
import com.ghy.worker.mapper.SpecialSkillMapper;
import com.ghy.worker.service.SpecialSkillService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 特殊技能Service
 *
 * @author HH 2022/6/7
 */
@Service
public class SpecialSkillServiceImpl implements SpecialSkillService {

    @Resource
    private SpecialSkillMapper specialSkillMapper;

    @Override
    public int insert(SpecialSkill specialSkill) {
        return specialSkillMapper.insert(specialSkill);
    }

    @Override
    public int delete(Long[] ids) {
        return specialSkillMapper.delete(ids);
    }

    @Override
    public int update(SpecialSkill specialSkill) {
        return specialSkillMapper.update(specialSkill);
    }

    @Override
    public List<SpecialSkill> list(SpecialSkill specialSkill) {
        return specialSkillMapper.list(specialSkill);
    }
}
